// pageage/project_checking/info/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id:"",
        infoData:{},
        loadShow:false,
        auditInfo:{},
        reject:false,
        rejectOpinion:"",
        loadShow:false,
        loginName:"",
        imageList:[],
        minImageList:[],
        auditImageList:[],
        auditMinImageList:[],
        request:app.globalData.reqUrl
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {id} = options
        //获取缓存数据
        wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            id,
            loginName:res.data.loginName
          }) 
          this.getInfo(); 
          this.getAuditinfo();
        }  
        }) 
    },


    /**
     * 获取安全检查详情信息
     * 
     */
    getInfo(){
        let {id} = this.data
        let that = this
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectProblemmodify/info',
          method:"get",
          data:{
              id:id          
          },
          success(res){
            res = res.data
            if(res.code == 200){
              let urls = [];
              let minUrls = [];
              if(res.data.smarkUrl){
                res.data.smarkUrl.split(',').forEach(element => {
                  urls.push(that.data.request+element);
                  minUrls.push(that.data.request+element+'.min.jpg');
                });
              }
              that.setData({
                  infoData:res.data,
                  imageList:urls,
                  minImageList:minUrls,
                  loadShow:false
              })
            }
          }
        })
    },

    getAuditinfo(){
      let {id} = this.data
      let that = this
      wx.request({
        url: app.globalData.reqUrl+'/wechat/projectProblemmodify/queryAuditInfo',
        method:"get",
        data:{
            id:id          
        },
        success(res){
          res = res.data
          if(res.code == 200 && res.data){
            let urls = [];
            let minUrls = [];
            if(res.data.fileUrls){
              res.data.fileUrls.split(',').forEach(element => {
                urls.push(that.data.request+element);
                minUrls.push(that.data.request+element+'.min.jpg');
              });
            }
            that.setData({
                auditInfo:res.data,
                auditImageList:urls,
                auditMinImageList:minUrls
            })
          }
        }
      })
    },

    //取消页面
    cancelSaveView(){
      this.returnToPage()
  },

  //保存
  onSubmitSave(status){
      this.setData({
          loadShow:true
      })
      let that = this
      let {id,reject,rejectOpinion,loginName} =  that.data;
      //数据效验
      if(id==""){
          app.toast("数据异常，请刷新页面重试!")
          that.setData({
              loadShow:false
          })
          return;
      }
      if(reject && rejectOpinion==""){
          app.toast("请填写整改驳回意见!")
          that.setData({
              loadShow:false
          })
          return;
      }
      
      let params = {
        mainId:id,
        processState:status,
        opinion:rejectOpinion,
        createUser:loginName
    }
    wx.request({
        url: app.globalData.reqUrl + '/wechat/projectProblemmodify/modifyProblem',
        method:"POST",
        data:params,
        header: {
            "Username": loginName,
            "Content-Type": "application/json"
        },
        success(res){
            that.setData({
                loadShow:false
            })
            res =res.data
            if(res.code == 200){
                app.toast("操作成功!")
                setTimeout(()=>{
                wx.redirectTo({
                    url: '../list/index',
                })
                },200)
            }
        }
     })
  },
  //审核驳回
  onRejectSave(){
    let that = this;
    if(that.data.rejectOpinion!=""){
      //弹出确认
      wx.showModal({
          title: '提示',
          content: '是否确认复检驳回？',
          success: function (sm) {
            if (sm.confirm) {
                // 用户点击了确定 可以调用了
                that.onSubmitSave(2);
              } else if (sm.cancel) {
                console.log('用户点击取消');
              }
            }
         })
    }else{
        app.toast("请填写整改驳回意见!")
        that.setData({
            loadShow:false
        })
        return;
    }
  },
  //审核通过
  onPassSave(){
    let that = this;
    //弹出确认
    wx.showModal({
        title: '提示',
        content: '是否确定确认复检通过？',
        success: function (sm) {
          if (sm.confirm) {
              // 用户点击了确定 可以调用了
              that.setData({
                reject:false
              });
              that.onSubmitSave(4);
            } else if (sm.cancel) {
              console.log('用户点击取消');
            }
          }
       })  
  },

      //展示图片
      showImg:function(e){
        var that=this;
        wx.previewImage({
            urls: that.data.imageList,
            current: that.data.imageList[e.currentTarget.dataset.index]
        })
    },

        //展示图片
        showAuditinfoImg:function(e){
          var that=this;
          wx.previewImage({
              urls: that.data.auditImageList,
              current: that.data.auditImageList[e.currentTarget.dataset.index]
          })
        },

        returnToPage: function () {
          /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
          wx.redirectTo({
              url: '../list/index',
          })
        },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    //驳回意见
    onInputOpinion(e){
      let rejectOpinion = e.detail.value
      this.setData({
        rejectOpinion
      })
    },

    // list  上传图片
    onImagesArr(e){
      var data = this.data.imageInfoData
      data = e.detail
      this.setData({
          imageInfoData:data
      })
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})